Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet.context
Class PreparatorServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.struts2.portlet.context.PreparatorServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig, StrutsStatics

    public class PreparatorServlet

extends HttpServlet
implements StrutsStatics

Since a portlet is not dispatched the same way as a servlet, the `ServletActionContext` is not immediately available, as it depends on objects from the servlet API. However, the WW2 view implementations require access to the objects in the `ServletActionContext`, and this servlet makes sure that these are available when the portlet actions are executing the render results.

See Also:
  Serialized Form

Field Summary
`private static Log` | `LOG`
`private static long` | `serialVersionUID`

Fields inherited from interface org.apache.struts2.StrutsStatics
`HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_PORTLET_CONTEXT`

Constructor Summary
`PreparatorServlet()`

Method Summary
`void` | `service(HttpServletRequest servletRequest, HttpServletResponse servletResponse)` Prepares the `ServletActionContext` with the `ServletContext`, `HttpServletRequest` and `HttpServletResponse`.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### LOG

    private static final Log LOG

Constructor Detail

### PreparatorServlet

    public PreparatorServlet()

Method Detail

### service

    public void service(HttpServletRequest servletRequest,
                        HttpServletResponse servletResponse)
                 throws ServletException,
                        IOException

  Prepares the `ServletActionContext` with the `ServletContext`, `HttpServletRequest` and `HttpServletResponse`.

  Overrides:
    `service` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.